%if 0%{?fedora} <= 39
%global qtversion 5
%else
%global qtversion 6
%endif


Name:           QDiskInfo
Version:        0.3
Release:        2%{?dist}
Summary:        CrystalDiskInfo alternative for Linux
License:        GPL-3.0-only 
URL:            https://github.com/edisionnano/%{name}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  extra-cmake-modules

%if %{qtversion} == 5
BuildRequires:  cmake(Qt5Core)
%elif %{qtversion} == 6
BuildRequires:  cmake(Qt6Core)
%endif

BuildRequires:  desktop-file-utils

Requires:	smartmontools

%description
CrystalDiskInfo alternative for Linux.

%prep
%autosetup

%build
%cmake -DQT_VERSION_MAJOR=%{qtversion}
%cmake_build

%install
%cmake_install 

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%changelog
* Mon Aug 19 2024 Christian Birk <mail@birkc.de> - 0.3-2
- remove not needed plasma-dependencies
- add depdendency for smartmontools

* Mon Aug 19 2024 Christian Birk <mail@birkc.de> - 0.3-1
- new version

* Sun Jun 30 2024 Christian Birk <mail@birkc.de> - 0.2-3
- set correct licence

* Sun Jun 30 2024 Christian Birk <mail@birkc.de> - 0.2-2
- fix app version

* Sun Jun 30 2024 Christian Birk <mail@birkc.de> - 0.2-1
- inital package

